body {
  background: #131619 !important;
}

.container-fluid {
  padding: 0 30px;
}

.logo {
  max-width: 100%;
  @media (min-width: 992px) {
    max-width: 70vw;
  }
  @media (min-width: 1440px) {
    max-width: 50vw;
  }
}
.collectionWrapper {
  display: flex;
  flex-wrap: wrap;

  &.two .recordWrapper {
    width: 50%;
  }
  &.three .recordWrapper {
    width: 33.3333333333333%;
  }
  &.four .recordWrapper {
    width: 25%;
  }
  &.five .recordWrapper {
    width: 20%;
  }
  &.six .recordWrapper {
    width: calc(100% / 6);
  }
  &.eight .recordWrapper {
    width: calc(100% / 8);
  }
  &.ten .recordWrapper {
    width: 10%;
  }

  .recordWrapper {
    width: 50%;
    aspect-ratio: 1 / 1;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
    background: #000;

    @media (min-width: 768px) {
      width: 25%;
    }
    @media (min-width: 1920px) {
      width: 20%;
    }

    @media (min-width: 2560px) {
      width: 14.28571428571429%;
    }

    .record {
      width: 100%;
      height: auto;
      background-size: cover;
      background-repeat: no-repeat;
      transition: 0.1s all;
    }

    .recordOverlay {
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      width: 100%;
      color: #fff;
      opacity: 0;
      transition: 0.1s all;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      text-align: center;
      padding: 20px;
      box-sizing: border-box;
      h2,
      h3 {
        font-family: "Playfair Display";
      }
      h2 {
        font-weight: 700;
        font-size: 18px;

        @media (min-width: 1280px) {
          font-size: 24px;
        }
        @media (min-width: 1920px) {
          font-size: 32px;
        }
      }
      h3 {
        font-weight: 400;
        font-style: italic;
        font-size: 16px;
        margin-top: 0;

        @media (min-width: 1280px) {
          font-size: 20px;
        }
        @media (min-width: 1920px) {
          font-size: 24px;
        }
      }
    }
    &:hover .recordOverlay {
      opacity: 1;
    }
    &:hover .record {
      -webkit-filter: blur(10px);
      -moz-filter: blur(10px);
      -o-filter: blur(10px);
      -ms-filter: blur(10px);
      filter: blur(10px);
      opacity: 0.7;
      transform: scale(1.1);
    }
  }
}

.modal-dialog {
  max-width: 95vw !important;
  .modal-content {
    border-radius: 0;
  }
  .modal-title {
    font-family: "Roboto";
    font-size: 16px;
    font-weight: 300 !important;
    @media (min-width: 768px) {
      font-size: 20px;
    }
    @media (min-width: 1920px) {
      font-size: 30px;
    }
  }
  #jpeg {
    canvas {
      width: 100% !important;
      height: auto !important;
    }
  }
}
@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

.loaderWrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #000;
  z-index: 999;
  opacity: 0.85;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form {
  select,
  input,
  button {
    height: 50px;
    background: #000;
    width: 100%;
    font-size: 16px;
    text-align: center;
    color: #ccc;
    font-family: "Roboto";
    font-weight: 300;
    border-radius: 0;
    transition: all 0.1s;
    border: 6px solid #000;
    &:focus {
      outline: 0;
      border: 6px solid #ccc;
    }
    @media (min-width: 768px) {
      height: 60px;
      font-size: 20px;
    }
    @media (min-width: 1440px) {
      height: 90px;
      font-size: 30px;
    }
  }
  button:focus {
    outline: 0;
    border: 0;
  }
  button:active {
    outline: 0;
    border: 6px solid #ccc;
  }
  input:-webkit-autofill {
    background-color: #000 !important;
  }
}

.error {
  padding: 40px;
  background: #b70d01;
  font-size: 20px;
  color: #fff;
  font-family: "Roboto";
  font-weight: 300;
  text-align: center;
  @media (min-width: 1920px) {
    font-size: 30px;
  }
}

.infoBox {
  color: #ccc;
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 25px;
  &.close {
    color: #333;
    top: 20px;
    &.isMobile {
      top: 10px;
      right: 10px;
      padding: 0;
      font-size: 23px;
      background: transparent;
      &.top {
        position: absolute;
      }
    }
  }
  &.isMobile {
    bottom: 20px;
    top: auto;
    position: fixed;
    right: 0px;
    font-size: 23px;
    z-index: 999;
    color: #333;
    background: #e3e6e9;
    padding: 2px 12px 2px 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
  }
  &:hover {
    cursor: pointer;
  }
}

.infoBoxContainer {
  position: fixed;
  top: 0;
  width: 100%;
  height: 0;
  margin-top: -380px;
  transition: all 0.2s;
  background: #eee;
  color: #131619;
  padding: 30px;
  font-family: "Roboto";
  font-size: 16px;
  font-weight: 300;
  z-index: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  text-align: center;
  &.open {
    margin-top: 0;
    height: 380px;
  }
  a {
    color: #131619;
    font-weight: 400;
    text-decoration: none;
    transition: all 0.2s;
    &:hover {
      color: #f3f6f9;
    }
  }
  @media (min-width: 768px) {
    font-size: 16px;
    margin-top: -200px;
    &.open {
      height: 200px;
    }
  }
  @media (min-width: 1920px) {
    font-size: 18px;
    margin-top: -270px;
    &.open {
      height: 270px;
    }
  }
}

.mainHeader {
  transition: all 0.2s;
  margin-top: 0;
  &.open {
    margin-top: 200px;
    &.isMobile {
      margin-top: 380px;
    }
    @media (min-width: 1920px) {
      margin-top: 270px;
    }
  }
}

.heart {
  color: #b70d01;
}

.infoBoxContainer {
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
